org.richfaces.fragment.message

## Class RichFacesMessage

- java.lang.Object
- - org.richfaces.fragment.message.AbstractMessage
  - - org.richfaces.fragment.message.RichFacesMessage

- All Implemented Interfaces:
    AdvancedInteractions<Message.AdvancedMessageInteractions>, Message

      public class RichFacesMessage
      extends AbstractMessage

  Component for rich:message.
  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesMessage.AdvancedRichMessageInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.message.AbstractMessage

      `AbstractMessage.AdvancedMessageInteractionsImpl`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.message.Message

      `Message.AdvancedMessageInteractions, Message.MessageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesMessage()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message.AdvancedMessageInteractions` | `advanced()`
    `protected String` | `getCssClass(Message.MessageType type)`
    `static String` | `getCssClassForMessageType(Message.MessageType type)`

    - ### Methods inherited from class org.richfaces.fragment.message.AbstractMessage

      `getDetail, getSummary, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesMessage

          public RichFacesMessage()

  - ### Method Detail

    - #### advanced

          public Message.AdvancedMessageInteractions advanced()

    - #### getCssClass

          protected String getCssClass(Message.MessageType type)

      Specified by:
        `getCssClass` in class `AbstractMessage`

    - #### getCssClassForMessageType

          public static String getCssClassForMessageType(Message.MessageType type)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.